* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
}

.navbar-home {
    position: absolute; /* 让navbar成为相对定位的容器 */
    top: 0;
    width: 100%;    
    height: 85px;
    padding: 1rem;
    display: flex;
    justify-content: flex-end;
    padding-right: 70px;  /* 右侧边距 */
    z-index: 10;
}

.navbar {
    position: relative; 
    height: 85px;
    padding: 1rem;
    display: flex;
    justify-content: flex-end;
    padding-right: 70px;  /* 右侧边距 */
    z-index: 10;
}

.nav-menu {
    list-style: none;
    display: flex;
    gap: 10px;
}

.nav-item {
    position: relative;
    border-radius: 2px;
    margin: 5px 14px;
}

.nav-link {
    color: white;
    text-decoration: none;
    padding: 0.5rem 1rem;
    display: inline-block;
    transition: all 0.3s ease;
    border-radius: 25px;  /* 圆角 */
    font-size: 18px;
    font-weight: bold;
    background-color: #83609fdc;
    width: 9rem; /* 固定宽度 */
    height: 3rem;
    text-align: center; /* 文字居中 */
    box-sizing: border-box; /* 确保边框和内边距包含在宽度内 */
    border: 3px solid transparent; /* 透明边框预留空间 */
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.2);
}

.nav-link:hover {
    background-color: hsla(273, 45%, 80%, 0.861);  /* 深蓝色 */
    transform: translateY(4px) scale(1.05);
    box-shadow: 0 0 10px hsla(273, 45%, 80%, 0.861);
    transition: all 0.3s ease;
}

.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%) translateY(-10px);
    background-color: hsla(273, 25%, 60%, 0.861); 
    min-width: 200px;
    display: none;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
    border-radius: 15px;  /* 更大的圆角 */
    opacity: 0;
    transition: all 0.5s ease;
    list-style: none;
    padding-left: 0;
    overflow: hidden;  /* 确保子元素也保持圆角 */
    z-index: 5;
}

.nav-item:hover .dropdown-menu {
    display: block;
    opacity: 1;
    transform: translateX(-50%) translateY(0) scale(0.93);
}

.dropdown-item {
    padding: 0.5rem 1rem;
    transition: all 0.3s ease;
    text-align: center;
    font-size: 17px;
    z-index: 5;
    border-radius: 19px;
}

.dropdown-item a {
    color: white;
    text-decoration: none;
    display: block;
}

.dropdown-item:hover {
    background-color: hsla(273, 45%, 80%, 0.861);
    transform: translateY(2px) scale(0.92);
    border-radius: 19px;
    box-shadow: 0 0 10px hsla(273, 45%, 80%, 0.861);
}

.content {
    padding: 2rem;
}

.back-to-top {
    position: fixed;
    bottom: 200px;
    right: 30px;
    width: 50px;
    height: 50px;
    background-color: hsla(273, 45%, 80%, 0.861);
    color: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease;
    z-index: 1000;
    box-shadow: 0 2px 5px rgba(0,0,0,0.2);
}

.back-to-top:hover {
    background-color: hsla(273, 25%, 60%, 0.861);
    transform: translateY(-3px);
}

.back-to-top.show {
    opacity: 1;
    visibility: visible;
} 

.PPEI-logo {
    position: absolute; /* 将图片设置为绝对定位 */
    left: 35px; /* 距离左侧10px */
    top: 50%; /* 垂直居中 */
    transform: translateY(-50%); /* 确保图片完全居中 */
    width: 150px; /* 图片宽度 */
    height: auto; /* 保持图片的宽高比 */
    z-index: 1; /* 确保图片在nav栏上方 */
}